/* Group Company Page */

.business-category {
  scroll-margin-top: var(--header-height);
}

.business-category-title {
    font-size: 28px;
    font-weight: bold;
    padding-left: 15px;
    border-left: 4px solid var(--color-green);
    margin: 40px 0;
    background: white;
  }

  .line {
    width: 220px;
    border-top:3px solid var(--color-green);
  }

.company-row {
  padding: 40px 20px;
  gap: 15px;
}

/* 各項目の幅調整 (PC) */
.company-name {
  font-weight: bold;
  font-size: 24px;
  margin-bottom: 5px;
}

.company-desc {
  margin-bottom: 15px;
}

.facility-container {
  width: 100%;
}

.facility-item {
  display: flex;
  align-items: center;
  gap: 20px;
  background: var(--color-light-gray);
  padding: 20px 15px;
  border-radius: 8px;
  margin-bottom: 15px;
}

.facility-name {
  flex: 1;
  font-size: 18px;
  font-weight: bold;
}

.welfare-service {
  flex: 1;
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.welfare-service li {  
  font-size: 14px;  
  padding: 4px 12px;
  font-weight: bold;
  background-color: white;
  border: 1px solid var(--color-green);
  color: var(--color-green);
  border-radius: 20px;
  width: fit-content;
  white-space: nowrap;
}

.company-info {
  flex: 1.5;
  font-size: 14px;
  line-height: 1.6;
}

.company-link {
  flex: 1.5;
}

.company-link a {
  color: black;
  text-decoration: none;
  font-size: 16px;
  word-break: break-all;
}

.company-link a:hover {
  text-decoration: underline;
}

/* 外部リンクアイコンの簡易再現 (FontAwesome等がない場合) */
.icon-external {
  font-size: 16px;
  margin-left: 10px;
}

@media (max-width: 992px) {
  /* Group Company Page */
  .company-page-wrapper {
    padding-bottom: 0;
  }

  .line {
    display: none;
  }

  .company-row {
    gap: 15px;
    padding: 20px 0;
  }


  .company-name {
    width: 100%;
    border-bottom: 2px solid var(--color-green);
    padding-top: 0;
    padding-bottom: 8px;
    margin-bottom: 5px;
  }

  .facility-item {
    flex-direction: column;
    align-items: flex-start;
    padding: 25px 15px;
    border-radius: 5px;
  }

  .welfare-service {
    flex-direction: row;
    flex-wrap: wrap;
    gap: 5px;
  }

  .welfare-service:empty {
    display: none;
  }
}
